cURL
curl --request POST \ --url https://api.example.com/v1/populations/{population_id}/retest
{ "data": { "id": "d670f351-8567-4586-9bba-b81add1bebe3", "created_at": "2025-06-23T15:38:01Z", "name": "Developers", "public": true, "question_count": 42, "simulacrum_count": 984, "status": "Tested", "average_accuracy": 0.8528, "average_squared_error": 0.1607, "average_normalised_information_loss": 0.0063, "data_source": "User onboarding flow", "description": "A model of Developers based on the 2024 Stack Overflow Developer Survey.", "effective_date": "2024-01-09", "reality_target": "Professional software developers", "simulation_engine": "answers-1", "test_finished_at": "2023-11-07T05:31:56Z", "test_started_at": "2023-11-07T05:31:56Z", "upload_filename": "seed_data.csv" }, "errors": [ { "code": "<string>", "message": "<string>" } ] }
Resets a tested population and triggers a new accuracy test.
ID of the population to retest.
Successful Response
The primary response payload. Contains the result of the request if successful.
Show child attributes
List of structured error messages, if any occurred during the request.